{% extends 'base-2.html' %}

{% load static %}
{% load crispy_forms_tags %}

{% block meta %}
<title>Activities</title>
{% endblock meta %}

{% block content %}


<div style="padding:4rem;">
    <h2>My Activities</h2>
    <br>
        <a class="btn btn-primary" href="{% url 'story_6:add_act' %}" role="button">+ New Activity</a>
    <br>
    <br>
    <div style="display:inline-block;">
        <div style="display:flex;">
            {% if activity %}
                {% for act in activity %}
                    <div class="card" style="width: 18rem; margin-right:1rem">
                    <div class="card-body">
                        <h5 class="card-title">{{act.name}}</h5>
                        <h6 class="card-subtitle mb-2 text-muted">{{act.date}}</h6>

                            {% if act.participant.all|length > 0 %}
                             <ul>
                                {% for n in act.participant.all %}
                                    <li>{{n}}</li>
                                {% endfor %}         
                            </ul>
                                {% else %}
                                <p>Tambah orang...</p>
                                {% endif %}
                    <div>     
                        <form action="{% url 'story_6:add_people' id=act.id %}" method="POST">
                            {% csrf_token %}
                            {{ peopleform.name }}
                              <input type='submit' value='Simpan'/>
                        </form>
                  
                    </div>
            </div>
            </div>
       
          {% endfor %}
  {% endif %}
    </div>
 </div>

</div>

{% endblock content %}
